Loading...
Searching...
No Matches
ClpDataSave Class Reference

This is a tiny class where data can be saved round calls. More...

`#include <ClpModel.hpp>`

## Public Member Functions

Constructors and destructor
| ClpDataSave ()
| Default constructor.
| ClpDataSave (const ClpDataSave &)
| Copy constructor.
ClpDataSave & | operator= (const ClpDataSave &rhs)
| Assignment operator. This copies the data.
| ~ClpDataSave ()
| Destructor.

## Public Attributes

data - with same names as in other classes
double | dualBound_
double | infeasibilityCost_
double | pivotTolerance_
double | zeroFactorizationTolerance_
double | zeroSimplexTolerance_
double | acceptablePivot_
double | objectiveScale_
int | sparseThreshold_
int | perturbation_
int | forceFactorization_
int | scalingFlag_
unsigned int | specialOptions_

## Detailed Description

This is a tiny class where data can be saved round calls.

Definition at line 1402 of file ClpModel.hpp.

## Constructor & Destructor Documentation

## ClpDataSave() [1/2]

ClpDataSave::ClpDataSave | ( |  | ) |

Default constructor.

## ClpDataSave() [2/2]

ClpDataSave::ClpDataSave | ( | const ClpDataSave & |  | ) |

Copy constructor.

## ~ClpDataSave()

ClpDataSave::~ClpDataSave | ( |  | ) |

Destructor.

## Member Function Documentation

## operator=()

ClpDataSave & ClpDataSave::operator= | ( | const ClpDataSave & | rhs | ) |

Assignment operator. This copies the data.

## Member Data Documentation

## dualBound_

double ClpDataSave::dualBound_

Definition at line 1424 of file ClpModel.hpp.

## infeasibilityCost_

double ClpDataSave::infeasibilityCost_

Definition at line 1425 of file ClpModel.hpp.

## pivotTolerance_

double ClpDataSave::pivotTolerance_

Definition at line 1426 of file ClpModel.hpp.

## zeroFactorizationTolerance_

double ClpDataSave::zeroFactorizationTolerance_

Definition at line 1427 of file ClpModel.hpp.

## zeroSimplexTolerance_

double ClpDataSave::zeroSimplexTolerance_

Definition at line 1428 of file ClpModel.hpp.

## acceptablePivot_

double ClpDataSave::acceptablePivot_

Definition at line 1429 of file ClpModel.hpp.

## objectiveScale_

double ClpDataSave::objectiveScale_

Definition at line 1430 of file ClpModel.hpp.

## sparseThreshold_

int ClpDataSave::sparseThreshold_

Definition at line 1431 of file ClpModel.hpp.

## perturbation_

int ClpDataSave::perturbation_

Definition at line 1432 of file ClpModel.hpp.

## forceFactorization_

int ClpDataSave::forceFactorization_

Definition at line 1433 of file ClpModel.hpp.

## scalingFlag_

int ClpDataSave::scalingFlag_

Definition at line 1434 of file ClpModel.hpp.

## specialOptions_

unsigned int ClpDataSave::specialOptions_

Definition at line 1435 of file ClpModel.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpModel.hpp